% construct standard runname front end
if isequal(ingrps,{''})
    runname = '';
else
    runname = [];
    for igrp = 1:length(ingrps)   
       ingrp = char(ingrps(igrp)); getparams; 
       runname = [runname char(ingrps(igrp)) eval(sprintf('adm.inXXX.%s',char(ingrps(igrp))))];
    end
    clear igrp ingrp;
end

% query for, and append custom runname descriptor
if exist('custom_runname_query')
    custom_runname = input('Enter custom ending for run name, if any []: ','s');
    if length(custom_runname)>0
        if length(runname)
            runname = [runname '-' custom_runname];
        else
            runname = custom_runname;
        end
    end
    clear custom_runname;
end

% create diaryname by appending date/time to runname 
diaryname = datestr(now,31);
diaryname = strrep(diaryname,' ','_');
diaryname = strrep(diaryname,':','.');
if length(runname)
    diaryname = [runname '_' diaryname];
end
diary(['diary/' diaryname '.txt']);

if isequal(ingrps,{''})
    clear ingrps runname diaryname adm;
end